#
# spec file for package vorbis-tools (Version 1.1.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs diffutils esound file filesystem fillup findutils flac-devel gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libFLAC++6 libFLAC8 libacl libao libao-devel libasound2 libattr libbz2-1 libbz2-devel libcurl-devel libcurl4 libdb-4_5 libgcc42 libgomp42 libidn libidn-devel libltdl-3 libmudflap42 libogg libogg-devel libopenssl-devel libopenssl0_9_8 libreadline5 libspeex libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt rpm sed speex-devel sysvinit tar tcpd texinfo timezone util-linux zlib zlib-devel


Name:           vorbis-tools
BuildRequires:  alsa-devel audiofile-devel curl-devel flac-devel libao-devel libvorbis-devel pkgconfig speex-devel
Summary:        Ogg Vorbis Tools
Version:        1.1.1
Release:        112.2
Group:          Productivity/Multimedia/Sound/Utilities
License:        GPL v2 or later
Url:            http://www.xiph.org/
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-warning-fixes.diff
Patch1:         vorbis-tools-cflags.diff
Patch2:         vorbis-tools-config.diff
Patch3:         vorbis-tools-%{version}-curl-7.16.diff
Patch4:         vorbis-tools-1.1.1-bounds-check-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains some tools for Ogg Vorbis: oggenc (an encoder)
and ogg123 (a playback tool).



Authors:
--------
    Michael Smith <msmith@labyrinth.net.au>
    Kenneth Arnold <kcarnold@yahoo.com>
    Xiphophorus Company <team@xiph.org>

%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config -f}}
cp /usr/share/gettext/config.rpath .
autoreconf --force --install
# test ! -f po/Makevars.template || mv po/Makevars.template po/Makevars
%configure --enable-vcut
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/%{name}-%{version}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc ogg123/ogg123rc-example
%doc %{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/locale/*/*/*

%changelog
* Mon Apr 14 2008 - tiwai@suse.de
- VUL-0: speex insufficient bounds checking (bnc#379098,
  oCERT-2008-002)
* Fri Feb 02 2007 - mmarek@suse.cz
- fix build with curl-7.16
- fixed some more compiler warnings
* Mon Oct 16 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Wed Aug 23 2006 - tiwai@suse.de
- build missing vcut command (#201242)
* Sat Apr 08 2006 - schwab@suse.de
- Include "config.h" before using HAVE_* macros.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 - tiwai@suse.de
- updated to version 1.1.1.
- added flac-* and speex-* to neededforbuild.
* Thu Jul 07 2005 - tiwai@suse.de
- removed -fsigned-char option (#93888).
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Fri Apr 08 2005 - tiwai@suse.de
- fixed the build with the new gettext-0.14.3.
* Mon Jan 12 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - tiwai@suse.de
- updated to version 1.0.1.
- enabled autoreconf again.
* Fri Jun 06 2003 - kukuk@suse.de
- Remove wrong doc dir
* Mon Jul 22 2002 - tiwai@suse.de
- updated to 1.0.
* Fri Jan 04 2002 - tiwai@suse.de
- updated to RC3.
  sync with cvs 2002.01.04.
  now encoding with low variable rates is supported.
- added curl and curl-devel to neededforbuild.
* Tue Dec 04 2001 - tiwai@suse.de
- sync with cvs 2001.12.04.
* Wed Oct 24 2001 - tiwai@suse.de
- sync with cvs 20011024.
- removed explicit Requires to libraries.
* Mon Aug 13 2001 - tiwai@suse.de
- updated to 1.0rc2 from cvs 20010813.
* Fri Jul 13 2001 - grimmer@suse.de
- Fixed file list (using wildcards instead of shared directory
  names)
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to 1.0beta4.
* Wed Jan 31 2001 - tiwai@suse.de
- Initial version: 1.0beta3.
